
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.somethingcoolhopefuly.init;

import net.minecraftforge.fml.event.lifecycle.FMLCommonSetupEvent;
import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.event.entity.EntityAttributeCreationEvent;
import net.minecraftforge.event.RegistryEvent;

import net.minecraft.world.entity.MobCategory;
import net.minecraft.world.entity.EntityType;
import net.minecraft.world.entity.Entity;

import net.mcreator.somethingcoolhopefuly.entity.NoobgunEntity;
import net.mcreator.somethingcoolhopefuly.entity.NoobbowEntity;
import net.mcreator.somethingcoolhopefuly.entity.NoobEntity;
import net.mcreator.somethingcoolhopefuly.entity.HackerEntity;
import net.mcreator.somethingcoolhopefuly.entity.DarthJoeyTheWiseEntity;
import net.mcreator.somethingcoolhopefuly.entity.BUILDERMANEntity;

import java.util.List;
import java.util.ArrayList;

@Mod.EventBusSubscriber(bus = Mod.EventBusSubscriber.Bus.MOD)
public class SomethingCoolHopefulyModEntities {
	private static final List<EntityType<?>> REGISTRY = new ArrayList<>();
	public static final EntityType<NoobEntity> NOOB = register("noob",
			EntityType.Builder.<NoobEntity>of(NoobEntity::new, MobCategory.MONSTER).setShouldReceiveVelocityUpdates(true).setTrackingRange(64)
					.setUpdateInterval(3).setCustomClientFactory(NoobEntity::new).sized(0.6f, 1.8f));
	public static final EntityType<HackerEntity> HACKER = register("hacker",
			EntityType.Builder.<HackerEntity>of(HackerEntity::new, MobCategory.MONSTER).setShouldReceiveVelocityUpdates(true).setTrackingRange(64)
					.setUpdateInterval(3).setCustomClientFactory(HackerEntity::new).fireImmune().sized(0.6f, 1.8f));
	public static final EntityType<NoobbowEntity> NOOBBOW = register("entitybulletnoobbow",
			EntityType.Builder.<NoobbowEntity>of(NoobbowEntity::new, MobCategory.MISC).setCustomClientFactory(NoobbowEntity::new)
					.setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(1).sized(0.5f, 0.5f));
	public static final EntityType<BUILDERMANEntity> BUILDERMAN = register("builderman",
			EntityType.Builder.<BUILDERMANEntity>of(BUILDERMANEntity::new, MobCategory.CREATURE).setShouldReceiveVelocityUpdates(true)
					.setTrackingRange(64).setUpdateInterval(3).setCustomClientFactory(BUILDERMANEntity::new).sized(0.6f, 1.8f));
	public static final EntityType<NoobgunEntity> NOOBGUN = register("entitybulletnoobgun",
			EntityType.Builder.<NoobgunEntity>of(NoobgunEntity::new, MobCategory.MISC).setCustomClientFactory(NoobgunEntity::new)
					.setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(1).sized(0.5f, 0.5f));
	public static final EntityType<DarthJoeyTheWiseEntity> DARTH_JOEY_THE_WISE = register("darth_joey_the_wise",
			EntityType.Builder.<DarthJoeyTheWiseEntity>of(DarthJoeyTheWiseEntity::new, MobCategory.CREATURE).setShouldReceiveVelocityUpdates(true)
					.setTrackingRange(64).setUpdateInterval(3).setCustomClientFactory(DarthJoeyTheWiseEntity::new).sized(0.6f, 1.8f));

	private static <T extends Entity> EntityType<T> register(String registryname, EntityType.Builder<T> entityTypeBuilder) {
		EntityType<T> entityType = (EntityType<T>) entityTypeBuilder.build(registryname).setRegistryName(registryname);
		REGISTRY.add(entityType);
		return entityType;
	}

	@SubscribeEvent
	public static void registerEntities(RegistryEvent.Register<EntityType<?>> event) {
		event.getRegistry().registerAll(REGISTRY.toArray(new EntityType[0]));
	}

	@SubscribeEvent
	public static void init(FMLCommonSetupEvent event) {
		event.enqueueWork(() -> {
			NoobEntity.init();
			HackerEntity.init();
			BUILDERMANEntity.init();
			DarthJoeyTheWiseEntity.init();
		});
	}

	@SubscribeEvent
	public static void registerAttributes(EntityAttributeCreationEvent event) {
		event.put(NOOB, NoobEntity.createAttributes().build());
		event.put(HACKER, HackerEntity.createAttributes().build());
		event.put(BUILDERMAN, BUILDERMANEntity.createAttributes().build());
		event.put(DARTH_JOEY_THE_WISE, DarthJoeyTheWiseEntity.createAttributes().build());
	}
}
