
package net.mcreator.somethingcoolhopefuly.item;

import net.minecraft.world.level.Level;
import net.minecraft.world.item.crafting.Ingredient;
import net.minecraft.world.item.TooltipFlag;
import net.minecraft.world.item.Tier;
import net.minecraft.world.item.SwordItem;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.Item;
import net.minecraft.network.chat.TextComponent;
import net.minecraft.network.chat.Component;

import net.mcreator.somethingcoolhopefuly.init.SomethingCoolHopefulyModTabs;

import java.util.List;

public class BuildermansHammerItem extends SwordItem {
	public BuildermansHammerItem() {
		super(new Tier() {
			public int getUses() {
				return 9999;
			}

			public float getSpeed() {
				return 4f;
			}

			public float getAttackDamageBonus() {
				return 38f;
			}

			public int getLevel() {
				return 1;
			}

			public int getEnchantmentValue() {
				return 50;
			}

			public Ingredient getRepairIngredient() {
				return Ingredient.EMPTY;
			}
		}, 3, -1f, new Item.Properties().tab(SomethingCoolHopefulyModTabs.TAB_NOOB_STUFF).fireResistant());
		setRegistryName("buildermans_hammer");
	}

	@Override
	public void appendHoverText(ItemStack itemstack, Level world, List<Component> list, TooltipFlag flag) {
		super.appendHoverText(itemstack, world, list, flag);
		list.add(new TextComponent("The holy weapon of Robloxia"));
	}

	@Override
	public boolean isFoil(ItemStack itemstack) {
		return true;
	}
}
