
package net.mcreator.somethingcoolhopefuly.item;

import net.minecraft.world.level.Level;
import net.minecraft.world.item.TooltipFlag;
import net.minecraft.world.item.Rarity;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.Item;
import net.minecraft.network.chat.TextComponent;
import net.minecraft.network.chat.Component;

import net.mcreator.somethingcoolhopefuly.init.SomethingCoolHopefulyModTabs;

import java.util.List;

public class RobuxFragmentItem extends Item {
	public RobuxFragmentItem() {
		super(new Item.Properties().tab(SomethingCoolHopefulyModTabs.TAB_NOOB_STUFF).stacksTo(64).fireResistant().rarity(Rarity.COMMON));
		setRegistryName("robux_fragment");
	}

	@Override
	public int getEnchantmentValue() {
		return 1;
	}

	@Override
	public int getUseDuration(ItemStack itemstack) {
		return 0;
	}

	@Override
	public void appendHoverText(ItemStack itemstack, Level world, List<Component> list, TooltipFlag flag) {
		super.appendHoverText(itemstack, world, list, flag);
		list.add(new TextComponent("Used to create robux"));
	}
}
