
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.somethingcoolhopefuly.init;

import net.minecraftforge.fml.event.lifecycle.FMLCommonSetupEvent;
import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.event.RegistryEvent;

import net.minecraft.world.level.biome.Biome;
import net.minecraft.resources.ResourceLocation;

import net.mcreator.somethingcoolhopefuly.world.biome.RobloxHQBiome;
import net.mcreator.somethingcoolhopefuly.world.biome.NoobvillBiome;
import net.mcreator.somethingcoolhopefuly.world.biome.NoobBlockHeckBiome;
import net.mcreator.somethingcoolhopefuly.world.biome.HackerplaneBiome;
import net.mcreator.somethingcoolhopefuly.SomethingCoolHopefulyMod;

import java.util.List;
import java.util.ArrayList;

@Mod.EventBusSubscriber(bus = Mod.EventBusSubscriber.Bus.MOD)
public class SomethingCoolHopefulyModBiomes {
	private static final List<Biome> REGISTRY = new ArrayList<>();
	public static Biome NOOBVILL = register("noobvill", NoobvillBiome.createBiome());
	public static Biome HACKERPLANE = register("hackerplane", HackerplaneBiome.createBiome());
	public static Biome ROBLOX_HQ = register("roblox_hq", RobloxHQBiome.createBiome());
	public static Biome NOOB_BLOCK_HECK = register("noob_block_heck", NoobBlockHeckBiome.createBiome());

	private static Biome register(String registryname, Biome biome) {
		REGISTRY.add(biome.setRegistryName(new ResourceLocation(SomethingCoolHopefulyMod.MODID, registryname)));
		return biome;
	}

	@SubscribeEvent
	public static void registerBiomes(RegistryEvent.Register<Biome> event) {
		event.getRegistry().registerAll(REGISTRY.toArray(new Biome[0]));
	}

	@SubscribeEvent
	public static void init(FMLCommonSetupEvent event) {
		event.enqueueWork(() -> {
			NoobvillBiome.init();
			HackerplaneBiome.init();
			RobloxHQBiome.init();
			NoobBlockHeckBiome.init();
		});
	}
}
